aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorSardem FF7 <sardemff7.pub@gmail.com>2011-03-09 14:00:05 +0100
committerSardem FF7 <sardemff7.pub@gmail.com>2011-03-09 14:00:05 +0100
commit8ccfad3e9800f3079fe54faa66a22f5dc9704e28 (patch)
tree7aa525437312f6ad032377b7cace3ce5263d0931
parentDefault prefs cleanup (diff)
downloadsardemff7-8ccfad3e9800f3079fe54faa66a22f5dc9704e28.tar.gz
sardemff7-8ccfad3e9800f3079fe54faa66a22f5dc9704e28.tar.bz2
sardemff7-8ccfad3e9800f3079fe54faa66a22f5dc9704e28.zip
Some fixes
Fix the fdo-mime inherit (ugly but working) It's safer to inform apps we use shared-js
-rw-r--r--eclass/mozilla-config.eclass6
-rw-r--r--eclass/mozilla-scm.eclass2
2 files changed, 4 insertions, 4 deletions
diff --git a/eclass/mozilla-config.eclass b/eclass/mozilla-config.eclass
index 3a95fe4..76dd9aa 100644
--- a/eclass/mozilla-config.eclass
+++ b/eclass/mozilla-config.eclass
@@ -178,6 +178,8 @@ function mozconfig_configure {
--disable-profilesharing \
--disable-profilelocking
+ mozconfig_annotate 'Provide and use libmozjs' --enable-shared-js
+
sed -i \
-e '/--enable-application=/d' \
-e '/--enable-extensions=/d'\
@@ -200,9 +202,7 @@ function mozconfig_configure {
# jemalloc won't build with older glibc
! has_version ">=sys-libs/glibc-2.4" && mozconfig_annotate 'old glibc' --disable-jemalloc
- if ${IS_LIBXUL}; then
- mozconfig_annotate 'Provide libmozjs' --enable-shared-js
- else
+ if ! ${IS_LIBXUL}; then
mozconfig_annotate 'libxul application' \
--enable-official-branding \
--with-system-libxul \
diff --git a/eclass/mozilla-scm.eclass b/eclass/mozilla-scm.eclass
index b11870b..19ddd45 100644
--- a/eclass/mozilla-scm.eclass
+++ b/eclass/mozilla-scm.eclass
@@ -40,7 +40,6 @@ case "${PN}" in
MOZ_APPLICATION=mail
;;
esac
-${IS_LIXBUL} || inherit fdo-mime
EXPORT_FUNCTIONS pkg_setup src_unpack src_configure src_install pkg_postinst
@@ -223,6 +222,7 @@ function mozilla-scm_pkg_postinst {
ewarn "any package that fails to build warrants a bug report."
einfo "You should build xulrunner first to update the mercurial repository"
+ inherit fdo-mime
# Update mimedb for the new .desktop file
fdo-mime_desktop_database_update
fi